{% import '@GaiaAdmin/Macro/buttons.html.twig' as buttons %}

{% set path = options.link.url|default(path(options.link.route|default(grid.requestConfiguration.getRouteName('show')), options.link.parameters|default({'id': data.id}))) %}

{% set message = action.label is empty ? 'sylius.ui.show' :  action.label %}

{% set icon = action.icon|default('search') %}

{% set class = options.role is defined and is_granted(options.role, data) == false ? 'disabled' : '' %}

{{ buttons.show(path, action.label) }}